
QGIS Application - Bug report #413

SPIT tool is lacking DBF encoding selection

2006-12-01 01:10 AM - neteler-itc-it -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10472

Description

Hi,

here in Italy (and other countries where accented characters are used), the DBF files are often encoding in a way that the right DBF file

encoding has to be specified. For shp2pgsql, I use for example "-W WINDOWS-1252" to make this happen.

If using QGIS/SPIT as is, accented characters get damaged. It would be great to have either a free text field or better a list of possible

encodings to select from. Also Asian QGIS users will be grateful.

Thanks,

Markus

History

#1 - 2006-12-08 11:25 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:d7113a02 (SVN r6215). You can choose the encoding when selecting file(s) to add. SPIT will then correctly import them.

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
